version: "3.6"

volumes:
  logs:
  static-files:

services:
  nginx:
    image: nginx:1.23
    depends_on:
      django:
        condition: service_healthy
    ports:
      # Note that --env-file should be used to set these correctly
      - "${NGINX_HTTP_PORT:-80}:80"
    volumes:
      - ./config/nginx/conf.d:/etc/nginx/conf.d
      - logs:/var/log/nginx
      - static-files:/app/static
